#include<iostream>
using namespace std;
int main()
{
    int N, K;
    cin>>N>>K;
    vector<int> A(N);
    for(int i = 0; i < N; i++) cin>>A[i];
    int cnt = 0;
    for(int i = 0; i < N; i++) 
    {
        if(A[i] == 1) cnt++;
    }
    if(cnt >= K) cout<<"1\n";
    return 0;
}